body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background: #000;
}

.clock {
  position: relative;
  width: 300px;
  height: 300px;
  border-radius: 50%;
}

.numbers span {
  position: absolute;
  color: #fff;
  transform: rotate(calc(30deg * var(--i))) translateY(-130px) rotate(calc(-30deg * var(--i)));
}

.hand {
  position: absolute;
  bottom: 50%;
  left: 50%;
  transform-origin: bottom;
  background: white;
}

.hour {
  width: 5px;
  height: 60px;
}

.minute {
  width: 3px;
  height: 90px;
}

.second {
  width: 2px;
  height: 110px;
  background: red;
}

.spider {
  position: absolute;
  width: 20px;
  height: 20px;
  background: white;
  border-radius: 50%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}